package meerkat.voting.controller.commands;

import meerkat.protobuf.Voting.BallotAnswer;
import java.util.List;

/**
 * a command registered after voter answered all ballot questions.
 * The controller then initiates an encryption-signature-commit flow
 */
public class EncryptAndCommitBallotCommand extends ControllerCommand {
    private final List<BallotAnswer> votingAnswers;

    public EncryptAndCommitBallotCommand(int requestIdentifier,
                                         long ballotSerialNumber,
                                         List<BallotAnswer> answers) {
        super(requestIdentifier, ballotSerialNumber);
        votingAnswers = answers;
    }

    public List<BallotAnswer> getVotingAnswers() {
        return votingAnswers;
    }

}
